Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.base.types

Things concerned with types and type-checking in PyMVPA

Functions

`accepts_dataset_as_samples`(fx) | Decorator to extract samples from Datasets.
`as_char`(x) | Identity mapping in python2
`asobjarray`(x) | Generates numpy.ndarray with dtype object from an iterable Is needed to assure object dtype, so first empty array of dtype=object needs to be constructed and then only items to be assigned.
`is_datasetlike`(obj) | Check if an object looks like a Dataset.
`is_sequence_type` | isSequenceType(a) – Return True if a has a sequence type, False otherwise.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »